Package com.enonic.xp.suggester

## Class Suggestions

- java.lang.Object
- - com.enonic.xp.support.AbstractImmutableEntitySet<Suggestion>
  - - com.enonic.xp.suggester.Suggestions

- All Implemented Interfaces:
    `Iterable<Suggestion>`

      @PublicApi
      public class Suggestions
      extends AbstractImmutableEntitySet<Suggestion>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Suggestions.Builder` |

  - ### Field Summary

    - ### Fields inherited from class com.enonic.xp.support.AbstractImmutableEntitySet

      `set`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Suggestions.Builder` | `create()` |
    `static Suggestions` | `empty()` |
    `static Suggestions` | `from​(Suggestion... suggestions)` |
    `static Suggestions` | `from​(ImmutableSet<Suggestion> suggestions)` | Deprecated.
    `static Suggestions` | `from​(Iterable<Suggestion> suggestions)` |
    `Suggestion` | `get​(String name)` |

    - ### Methods inherited from class com.enonic.xp.support.AbstractImmutableEntitySet

      `contains, equals, first, getSet, getSize, hashCode, isEmpty, isNotEmpty, iterator, stream, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### empty

          public static Suggestions empty()

    - #### from

          @Deprecated
          public static Suggestions from​(ImmutableSet<Suggestion> suggestions)

      Deprecated.

    - #### from

          public static Suggestions from​(Iterable<Suggestion> suggestions)

    - #### from

          public static Suggestions from​(Suggestion... suggestions)

    - #### get

          public Suggestion get​(String name)

    - #### create

          public static Suggestions.Builder create()